com::lomiri::location::Position::Accuracy Struct Reference

`#include <position.h>`

Collaboration diagram for com::lomiri::location::Position::Accuracy:

## Public Types

typedef units::Quantity< units::Length > | Horizontal
typedef units::Quantity< units::Length > | Vertical

## Public Attributes

Optional< Horizontal > | horizontal {}
Optional< Vertical > | vertical {}

## Detailed Description

Definition at line 41 of file position.h.

## Member Typedef Documentation

## Horizontal

typedef units::Quantity<units::Length> com::lomiri::location::Position::Accuracy::Horizontal

Definition at line 43 of file position.h.

## Vertical

typedef units::Quantity<units::Length> com::lomiri::location::Position::Accuracy::Vertical

Definition at line 44 of file position.h.

## Member Data Documentation

## horizontal

Optional<Horizontal> com::lomiri::location::Position::Accuracy::horizontal {}

Definition at line 46 of file position.h.

Referenced by core::dbus::Codec< com::lomiri::location::Position >::decode_argument(), and core::dbus::Codec< com::lomiri::location::Position >::encode_argument().

## vertical

Optional<Vertical> com::lomiri::location::Position::Accuracy::vertical {}

Definition at line 47 of file position.h.

Referenced by core::dbus::Codec< com::lomiri::location::Position >::decode_argument(), and core::dbus::Codec< com::lomiri::location::Position >::encode_argument().

The documentation for this struct was generated from the following file:

- position.h